<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.12
Description: Kurzbeschreibung des Verlaufs des stat. Aufenthaltes (Dekurs).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.12">
   <title>Zusammenfassung des Aufenthalts</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]
Item: (Aufenthaltszusammenfassung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section
Item: (Aufenthaltszusammenfassung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section"
         id="tmp-1ecbf7b9-45bd-48e8-a96a-d4ed1110f544">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.12'])&gt;=1 ">(Aufenthaltszusammenfassung): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.12'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.12'])&lt;=1">(Aufenthaltszusammenfassung): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.12'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'])&gt;=1 ">(Aufenthaltszusammenfassung): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'])&lt;=1">(Aufenthaltszusammenfassung): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Aufenthaltszusammenfassung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="count(hl7:code)&lt;=1">(Aufenthaltszusammenfassung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Aufenthaltszusammenfassung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="count(hl7:title)&lt;=1">(Aufenthaltszusammenfassung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Aufenthaltszusammenfassung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="count(hl7:text)&lt;=1">(Aufenthaltszusammenfassung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.12']
Item: (Aufenthaltszusammenfassung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.12']"
         id="tmp-f44e9ada-8e58-4609-b66b-acab4abc3f7d">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Aufenthaltszusammenfassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="@root='1.2.40.0.34.11.2.2.12'">(Aufenthaltszusammenfassung): @root MUSS den Wert '1.2.40.0.34.11.2.2.12' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Aufenthaltszusammenfassung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']
Item: (Aufenthaltszusammenfassung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']"
         id="tmp-df8c3390-4844-413b-9948-83c3500beacc">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Aufenthaltszusammenfassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'">(Aufenthaltszusammenfassung): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.5' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Aufenthaltszusammenfassung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:code
Item: (Aufenthaltszusammenfassung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:code"
         id="tmp-9869d00e-b6bf-4d9b-a412-1bac77a8d1d1">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Aufenthaltszusammenfassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="@nullFlavor or (@code='8648-8' and @codeSystem='2.16.840.1.113883.6.1')">(Aufenthaltszusammenfassung): Der Wert von @code/@codeSystem MUSS ''8648-8' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:title
Item: (Aufenthaltszusammenfassung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:title"
         id="tmp-b2475103-2416-44a0-998a-6d982afa067a">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Aufenthaltszusammenfassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.2.2.12.html"
              test="text()='Zusammenfassung des Aufenthalts'">(Aufenthaltszusammenfassung): Der Elementinhalt von 'hl7:title' MUSS ''Zusammenfassung des Aufenthalts'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:text
Item: (Aufenthaltszusammenfassung)
-->
</pattern>