<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.2.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.4.2.2">
   <title>Bereichsübergreifende Befundbewertung (Laboratory Report Comment Section)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]
Item: (LaboratoryReportCommentSection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section
Item: (LaboratoryReportCommentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section"
         id="tmp-2a84efe7-03ef-4df5-967c-6c16d4d819e1">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="@classCode='DOCSECT'">(LaboratoryReportCommentSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.2.2'])&gt;=1 ">(LaboratoryReportCommentSection): Element hl7:templateId[@root='1.2.40.0.34.11.4.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.2.2'])&lt;=1">(LaboratoryReportCommentSection): Element hl7:templateId[@root='1.2.40.0.34.11.4.2.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LaboratoryReportCommentSection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="count(hl7:code)&lt;=1">(LaboratoryReportCommentSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(LaboratoryReportCommentSection): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="count(hl7:title)&lt;=1">(LaboratoryReportCommentSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(LaboratoryReportCommentSection): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="count(hl7:text)&lt;=1">(LaboratoryReportCommentSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="count(hl7:entry[hl7:code[@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1']])&gt;=1 ">(LaboratoryReportCommentSection): Element hl7:entry[hl7:code[@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="count(hl7:entry[hl7:code[@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1']])&lt;=1">(LaboratoryReportCommentSection): Element hl7:entry[hl7:code[@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1']] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.4.2.2']
Item: (LaboratoryReportCommentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.4.2.2']"
         id="tmp-e0a4ef00-5817-4c80-98a5-74f4e64efb8f">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(LaboratoryReportCommentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="@root='1.2.40.0.34.11.4.2.2'">(LaboratoryReportCommentSection): @root MUSS den Wert '1.2.40.0.34.11.4.2.2' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LaboratoryReportCommentSection): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:code
Item: (LaboratoryReportCommentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:code"
         id="tmp-66757af9-0a4b-48d4-8e47-a459277f7f2a">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(LaboratoryReportCommentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CD" haben</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="@nullFlavor or (@code='20' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Befundbewertung' and @codeSystemName='ELGA_Laborstruktur')">(LaboratoryReportCommentSection): Der Wert von @code/@codeSystem MUSS ''20' codeSystem '1.2.40.0.34.5.47' displayName='Befundbewertung' codeSystemName='ELGA_Laborstruktur'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:title
Item: (LaboratoryReportCommentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:title"
         id="tmp-db6dc4e1-ad65-4c31-87be-272aa8898a4b">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(LaboratoryReportCommentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="text()='Befundbewertung'">(LaboratoryReportCommentSection): Der Elementinhalt von 'hl7:title' MUSS ''Befundbewertung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:text
Item: (LaboratoryReportCommentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:text"
         id="tmp-12eb9d27-f771-4b81-8f94-5a38920591cb">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.4.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(LaboratoryReportCommentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:entry[hl7:code[@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1']]
Item: (LaboratoryReportCommentSection)
--></pattern>