<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.16
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.16">
   <title>Entlassungsmanagement (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]
Item: (EntlassungsmanagementEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section
Item: (EntlassungsmanagementEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section"
         id="tmp-f9e61e16-e781-43e7-8085-927e8f375e54">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.16'])&gt;=1 ">(EntlassungsmanagementEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.16'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.16'])&lt;=1">(EntlassungsmanagementEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.16'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'])&gt;=1 ">(EntlassungsmanagementEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'])&lt;=1">(EntlassungsmanagementEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="count(hl7:entry)=0">(EntlassungsmanagementEnhanced): Element @hl7:entry DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.16']
Item: (EntlassungsmanagementEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.16']"
         id="tmp-ac91619f-1faa-422b-a635-18df21d0f14d">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(EntlassungsmanagementEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@root='1.2.40.0.34.11.3.2.16'">(EntlassungsmanagementEnhanced): @root MUSS den Wert '1.2.40.0.34.11.3.2.16' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(EntlassungsmanagementEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32']
Item: (EntlassungsmanagementEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32']"
         id="tmp-2791aa1a-5509-46e8-b08a-bc997fd0bb49">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(EntlassungsmanagementEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'">(EntlassungsmanagementEnhanced): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.32' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(EntlassungsmanagementEnhanced): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:code
Item: (EntlassungsmanagementAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:code"
         id="tmp-5362d1ad-0c70-4d64-ad5b-23bfe1c08d72">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(EntlassungsmanagementAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@nullFlavor or (@code='8650-4' and @codeSystem='2.16.840.1.113883.6.1')">(EntlassungsmanagementAlleEIS): Der Wert von @code/@codeSystem MUSS ''8650-4' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:title
Item: (EntlassungsmanagementAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:title"
         id="tmp-2daba1a9-895e-46da-8b18-a7e19dd1a9d2">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(EntlassungsmanagementAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.16.html"
              test="text()='Entlassungsmanagement'">(EntlassungsmanagementAlleEIS): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungsmanagement'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:text
Item: (EntlassungsmanagementAlleEIS)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.16
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.16']]/hl7:section/hl7:entry
Item: (EntlassungsmanagementEnhanced)
-->
</pattern>