<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.8
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.8">
   <title>Atmung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]
Item: (Atmung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section
Item: (Atmung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section"
         id="tmp-bbe59386-306e-4574-93a0-ec5b7acd976a">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.8'])&gt;=1 ">(Atmung): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.8'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.8'])&lt;=1">(Atmung): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Atmung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="count(hl7:code)&lt;=1">(Atmung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Atmung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="count(hl7:title)&lt;=1">(Atmung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Atmung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="count(hl7:text)&lt;=1">(Atmung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.8']
Item: (Atmung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.8']"
         id="tmp-b1209d9a-4aa5-4a47-a505-0c2b1079dd56">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Atmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="@root='1.2.40.0.34.11.3.2.8'">(Atmung): @root MUSS den Wert '1.2.40.0.34.11.3.2.8' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Atmung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:code
Item: (Atmung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:code"
         id="tmp-84357dd7-e7ea-4f35-8756-98f2be60bae9">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Atmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="@nullFlavor or (@code='PFATM' and @codeSystem='1.2.40.0.34.5.40')">(Atmung): Der Wert von @code/@codeSystem MUSS ''PFATM' codeSystem '1.2.40.0.34.5.40'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:title
Item: (Atmung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:title"
         id="tmp-c8e2299d-4109-4f8d-9152-68921b12e205">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Atmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.3.2.8.html"
              test="text()='Atmung'">(Atmung): Der Elementinhalt von 'hl7:title' MUSS ''Atmung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:text
Item: (Atmung)
-->
</pattern>