<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5.2.9
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.5.2.9">
   <title>Befund</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]
Item: (Befund)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section
Item: (Befund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section"
         id="tmp-4ce3b6b7-8064-453b-ba34-a728e99951c8">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="@classCode='DOCSECT' or not(@classCode)">(Befund): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.9'])&gt;=1 ">(Befund): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.9'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.9'])&lt;=1">(Befund): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.9'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Befund): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="count(hl7:code)&lt;=1">(Befund): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Befund): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="count(hl7:title)&lt;=1">(Befund): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Befund): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="count(hl7:text)&lt;=1">(Befund): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.9']
Item: (Befund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.9']"
         id="tmp-9f632a98-4144-4293-8eaa-2eb07945cb54">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Befund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="@root='1.2.40.0.34.11.5.2.9'">(Befund): @root MUSS den Wert '1.2.40.0.34.11.5.2.9' haben.</assert>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Befund): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:code
Item: (Befund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:code"
         id="tmp-e317f3de-78f7-4bfc-ab96-d3d5f7663e1f">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Befund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="@nullFlavor or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Study observation' and @codeSystemName='LOINC')">(Befund): Der Wert von @code/@codeSystem MUSS ''18782-3' codeSystem '2.16.840.1.113883.6.1' displayName='Study observation' codeSystemName='LOINC'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:title
Item: (Befund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:title"
         id="tmp-ec925bd8-1c34-4e3c-b181-2c9cefcac873">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Befund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="text()='Befund'">(Befund): Der Elementinhalt von 'hl7:title' MUSS ''Befund'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:text
Item: (Befund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:text"
         id="tmp-11309198-3aa2-4f3e-8441-eb6d552d689d">
      <assert role="error"
              see="http://www.art-decor.org/projects/elga/elga-html-20120724T130637/tmp-1.2.40.0.34.11.5.2.9.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Befund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]]
Item: (Befund)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]]
Item: (Befund)
--></pattern>